/* --------- VIDEO SECTION - start-------- */
.diy-logo {
    width: 20%;
    margin: 3rem auto 3rem auto;
    align-items: center;
}

.vid-container-diy {
    margin: 0 auto 3rem auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.diy-video-bx {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    margin: 0 auto 0 auto;
}

.diy-img-square {
    height: 270px;
    width: 270px;
    border-radius: 1rem;
    margin: 7px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: transform .1s; 
}

.diy-vid-square {
    height: 270px;
    width: 270px;
    border-radius: 1rem;
    margin: 7px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: transform .1s; 
}

.diy-vid-square:hover, .diy-img-square:hover {
    transform: scale(1.02);
}

@media screen and (max-width: 650px) {
    .diy-logo {
        width: 70%;
        margin: 2rem auto 2rem auto;
    }
    
    .diy-img-square {
        height: auto;
        width: 90%;
        border-radius: 1rem;
        margin: 15px;
    }

    .diy-vid-square {
        height: auto;
        width: 90%;
        border-radius: 1rem;
        margin: 15px;
    }

    .vid-web {
        display: none;
    }

    .vid-mob {
        display: block;
    }

    /* .vid-bx {
        width: 100%;
    } */
}

@media screen and (min-width: 650px) {
    .vid-web {
        display: block;
    }
    
    .vid-mob {
        display: none;
    }
}
/* --------- VIDEO SECTION - End-------- */

/* --------- FILTER BUTTONS - start-------- */
.all-diy-bx {
    background-color: rgb(240, 240, 240);
    border-radius: 2rem;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
    margin: 2rem auto 4rem auto;
    padding: 2rem 1rem 2rem 1rem;
}

.mySlides1, .mySlides2 {display: none}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a grey background color */
.prev:hover, .next:hover {
  background-color: #f1f1f1;
  color: black;
}

.diy-fil-head {
margin: 0;
}

#filtercontainer {
    overflow: hidden;
    padding: 2rem 1rem 2rem 1rem;
}

.categorybtn {
    margin: 3px 3px;
    padding: 0.8rem 1.5rem 0.8rem 1.5rem;
    font-size: 14px;
    border-radius: 2rem;
    border: none;
    background-color: #c0c0c0;
}

.categorybtn:hover {
    background-color: #707070;
    color: white;
}

.categorybtn.diyactive {
    background-color: #da0000;
    color: white;
}

.filtertitle {
    font-size: 0.9em;
    font-weight: normal;
    text-transform: uppercase;
}

@media screen and (max-width: 650px) {
    .categorybtn {
        margin: 3px 3px;
        padding: 0.8rem 1.2rem 0.8rem 1.2rem;
        font-size: 12px;
        border-radius: 2rem;
    }
}
/* -------- FILTER BUTTONS - end-------- */

/* -------- SCROLL BOX - start-------- */
.scroll-div {
    background-color: rgb(240, 240, 240);
    height: 650px;
    width: 100%;
    overflow: scroll;
    overflow-x: hidden;
    border-radius: 2rem;
}

/* width */
.scroll-div::-webkit-scrollbar {
    width: 20px;
} 
/* Track */
.scroll-div::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    border-radius: 10px;
}   
/* Handle */
  .scroll-div::-webkit-scrollbar-thumb {
    background: rgb(139, 139, 139); 
    border-radius: 10px;
}
/* Handle on hover */
  .scroll-div::-webkit-scrollbar-thumb:hover {
    background: rgb(100, 100, 100); 
}

@media screen and (max-width: 500px) {
    .scroll-div {
        height: auto;
        overflow: none;
    } 

    .scroll-div::-webkit-scrollbar {
        width: 0px;
    } 
}
/* -------- SCROLL BOX - end-------- */

/* -------- DIY MENU - start-------- */
.col-xs-6 {
    padding: 0;
}

.fil-bdr-rad {
    border-radius: 1.2rem 1.2rem 0 0
}

.fil-bdr-rad-full {
    border-radius: 1.2rem;
}

.card {
    padding: 0 !important;
    padding: 1rem ;
}

.wrap {
    margin: 10px;
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    height: 240px;
    border-radius: 1.2rem !important;
    transition: transform .1s;
}

.wrap:hover {
    transform: scale(1.02);
  }
  

.wrap a:hover {
    color: inherit;
}


.card-body {
    padding: 15px;
}

.wrap h3 {
    margin: 0 auto 0 auto;
    font-size: 18px;
    text-align: center;
}

@media screen and (max-width: 550px) {
    .wrap {
        margin: 5px;
        height: 180px;    
    }
}

@media screen and (max-width: 400px) {
    .wrap {
        margin: 5px;
        height: 160px;    
    }
}

@media screen and (max-width: 768px) {
    .wrap h3 {
        font-size: 14px;
    }
}
/* -------- DIY MENU - end-------- */

/* Filter Styles - DONT EDIT */
@media screen and (min-width: 768px) {
    .modal-dialog {
        left: 0;
    }
}

.filter {
    display: none;
}

.show {
    display: block;
}
/* Filter Styles - end */
